Bug 186593 - Poor Gtk fonts when KDE subpixel hinting turned on
Poor Gtk fonts when KDE subpixel hinting turned on
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk+ (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
: Regression
: 187688 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-24 11:28 EST by Ian Pilcher
Modified: 2008-05-06 11:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:38:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Firefox started normally in KDE - note unattractive fonts (20.01 KB, image/png)
2006-03-24 11:28 EST, Ian Pilcher
no flags Details
Firefox started by Thunderbird in KDE - note attractive fonts (26.83 KB, image/png)
2006-03-24 11:30 EST, Ian Pilcher
no flags Details
system-config-securitylevel in GNOME - note attractive fonts (24.17 KB, image/png)
2006-03-24 11:32 EST, Ian Pilcher
no flags Details
system-confige-securitylevel in KDE - note unattractive fonts (22.48 KB, image/png)
2006-03-24 11:33 EST, Ian Pilcher
no flags Details

  None (edit)
Description Ian Pilcher 2006-03-24 11:28:52 EST
Description of problem:

When GNOME is *not* running, many Gtk apps display somewhat ugly fonts.  I am
unable to determine if this is due to font rendering or font selection.  I
have observed this behavior in the following applications:

  - gdm
  - system-config-securitylevel (KDE and "failsafe" session)
  - GIMP (KDE)
  - Firefox (KDE)

I have *not* seen this behavior in Thunderbird.  Even more interesting, I do
not see this behavior in Firefox when it is started by Thunderbird (by
clicking on a URL in an e-mail).


Version-Release number of selected component (if applicable):

gtk2-2.8.15-1


How reproducible:

100%


Steps to Reproduce:

1.  Log in to KDE or a failsafe session.
2.  Start a Gtk apps, such as system-config-securitylevel
3.  Note less than attractive fonts.
4.  Log in to GNOME.
5.  Start the same app.
6.  Note more attractive fonts.
  

Actual results:

Font quality varies.


Expected results:

Font quality should not vary.


Additional info:

This is a regression from Fedora Core 4.

Screenshots coming.

Might this be related to bug #186323?  In both bugs Gtk apps are failing to
honor *either* the KDE or GNOME settings when GNOME is not running.
Comment 1 Ian Pilcher 2006-03-24 11:28:52 EST
Created attachment 126646 [details]
Firefox started normally in KDE - note unattractive fonts
Comment 2 Ian Pilcher 2006-03-24 11:30:10 EST
Created attachment 126647 [details]
Firefox started by Thunderbird in KDE - note attractive fonts
Comment 3 Ian Pilcher 2006-03-24 11:32:35 EST
Created attachment 126648 [details]
system-config-securitylevel in GNOME - note attractive fonts
Comment 4 Ian Pilcher 2006-03-24 11:33:47 EST
Created attachment 126651 [details]
system-confige-securitylevel in KDE - note unattractive fonts

That's GNOME, not "GNONE".  Aaaaaaaaargh!
Comment 5 Rahul Sundaram 2006-03-24 12:45:39 EST

Setting the severity to "regression" is the normal way to report it. Don't use
the subject line for that. Thanks for the report. 
Comment 6 Ian Pilcher 2006-03-24 13:43:14 EST
(In reply to comment #5)
> 
> Setting the severity to "regression" is the normal way to report it. Don't use
> the subject line for that. Thanks for the report. 

I didn't even know that was there.  Thanks!
Comment 7 Ian Pilcher 2006-03-27 12:47:30 EST
I'm not sure about the gdm and failsafe session cases, but I have determined
that the problem only appears under KDE when "sub-pixel hinting" is turned
on in the KDE Control Center.  Needless to say, turning it off is a less
than optimal workaround for LCD users.

Attempting to change the summary accordingly...
Comment 8 Roberto Ragusa 2006-04-02 14:11:18 EDT
Probably related to bug #187688.
Comment 9 Roberto Ragusa 2006-04-06 18:21:38 EDT
Launching Firefox with "MOZ_DISABLE_PANGO=1 firefox" solves the problem for me.
Comment 10 Rex Dieter 2006-05-13 13:04:34 EDT
*** Bug 187688 has been marked as a duplicate of this bug. ***
Comment 11 Rex Dieter 2006-05-13 13:06:40 EDT
Maybe this should be assigned to pango (as was 187688), since this seems to
affect only pango-enabled gtk2 apps.
Comment 12 Matthias Clasen 2006-06-20 01:09:06 EDT
Reassigning pango bugs to Behdad.
Comment 13 Behdad Esfahbod 2006-06-20 16:40:06 EDT
I doubt this is Pango.  It looks like Gtk+ not loading font options if
gnome-settings-daemon is not running.  I don't know how that's supposed to work,
but if firefox spawned by thunderbird works, it may be a race condition
somewhere making gtk+ not seeing the settings as it tries to load them. 
Assigning to Gtk+.

As for being a regression, that's probably because of moving from Xft to cairo.
Comment 14 petrosyan 2008-03-11 00:55:10 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 15 Bug Zapper 2008-04-03 22:14:47 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 16 Bug Zapper 2008-05-06 11:38:04 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.